# $Revision: 1.6.2.3 $, $Date: 2007/03/08 14:14:51 $
%include	/usr/lib/rpm/macros.mono
Summary:	.NET language bindings for Galago
Summary(pl):	Wizania Galago dla .NET
Name:		dotnet-galago-sharp
Version:	0.3.2
Release:	5
License:	GPL
Group:		Development/Libraries
Source0:	http://www.galago-project.org/files/releases/source/galago-sharp/galago-sharp-%{version}.tar.gz
# Source0-md5:	90824eaf08bfbbbc0155ab08b623bced
Patch0:		%{name}-makefile.patch
Patch1:		%{name}-pkgconfig.patch
Patch2:		%{name}-destdir.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	dotnet-dbus-sharp-devel
BuildRequires:	libgalago-devel >= 0.3.2
BuildRequires:	libtool
BuildRequires:	mono-csharp >= 0.96
BuildRequires:	pkgconfig
ExcludeArch:	i386
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package provides bindings for .NET to Galago libraries.

%description -l pl
Pakiet ten dostarcza wizania dla .NET do bibliotek z Galago.

%package devel
Summary:	Development part of galago-sharp
Summary(pl):	Programistyczna cz galago-sharp
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libgalago-devel >= 0.3.2

%description devel
Tools for developing applications using galago-sharp.

%description devel -l pl
Narzdzia potrzebne przy tworzeniu aplikacji korzystajcych z
galago-sharp.

%prep
%setup -qn galago-sharp-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make} \
	gapidir='%{_datadir}/gapi-2.0'

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	gapidir='%{_datadir}/gapi-2.0'

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%{_prefix}/lib/mono/gac/galago-sharp

%files devel
%defattr(644,root,root,755)
%{_prefix}/lib/mono/galago-sharp
%{_datadir}/gapi-2.0/*
%{_pkgconfigdir}/*.pc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: dotnet-galago-sharp.spec,v $
Revision 1.6.2.3  2007/03/08 14:14:51  qboosh
- release 5: rebuild with restored mono() deps

Revision 1.6.2.2  2007/02/17 14:34:25  qboosh
- release 4

Revision 1.6.2.1  2007/02/17 13:29:33  qboosh
- release 3

Revision 1.6  2006/08/04 20:20:43  freetz
- EA added

Revision 1.5  2006/06/27 19:53:37  freetz
- use gapi-2.0, rel.2

Revision 1.4  2006/03/14 21:22:15  deejay1
- added BR: dotnet-dbus-sharp-devel

Revision 1.3  2006/03/09 18:19:16  qboosh
- -devel desc fix, removed non-existing -static package

Revision 1.2  2006/03/07 23:35:39  ankry
- tabs

Revision 1.1  2006/03/07 17:45:52  freetz
- initial
